My Oracle Support Banner

MAF Deployment Exception: Android android-xx does not exist or does not have the required file. (Doc ID 2762007.1)

Last updated on MARCH 29, 2021

Applies to:

Mobile Application Framework - Version 2.3.0 and later
Information in this document applies to any platform.

Symptoms

MAF app deployment fails with the following error:

[01:02:03 PM] Deployment cancelled.
[01:02:03 PM] ---- Deployment incomplete ----.
[01:02:03 PM] java.lang.IllegalStateException: oracle.jdeveloper.deploy.DeployException: Android <android-xx> does not exist or does not have the required file. Set the SDK which includes this platform in JDeveloper Preferences on the Mobile Application Framework panel.
at oracle.adfmf.framework.dt.deploy.android.deployers.validation.preferences.AndroidPlatformPathValidator._isValidAndroidPlatformPath(AndroidPlatformPathValidator.java:53)
at oracle.adfmf.framework.dt.deploy.android.deployers.validation.preferences.AndroidPlatformPathValidator.isValid(AndroidPlatformPathValidator.java:20)
at oracle.adfmf.framework.dt.deploy.android.deployers.validation.preferences.PreferenceFieldValidator.validate(PreferenceFieldValidator.java:29)
...

 

Where <android-xx> is the Android API version, f.ex: android-28

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.